import { Errors, ErrorSource } from './errors';
export declare type ApiResponse<T> = {
    type: 'success';
    response: T;
    originalResponse: Response;
    errors?: never;
    status: number;
} | {
    type: 'error';
    source: ErrorSource;
    response?: never;
    originalResponse: Response;
    errors: Errors;
    status: number;
};
export declare type HandleResponse<T> = (args: {
    response: Response;
}) => Promise<T>;
export declare const handleFetchResponse: <ResponseType_1>(handleResponse: HandleResponse<ResponseType_1>) => (response: Response) => Promise<ApiResponse<ResponseType_1>>;
export declare const castResponse: <T>() => HandleResponse<T>;
