export declare enum OrderBy {
    LATEST = "latest",
    POPULAR = "popular",
    VIEWS = "views",
    DOWNLOADS = "downloads",
    OLDEST = "oldest"
}
export declare type Orientation = 'landscape' | 'portrait' | 'squarish';
export declare type OrientationParam = {
    orientation?: Orientation;
};
export declare type PaginationParams = {
    /**
     * API defaults to `10` if no value is provided
     */
    perPage?: number;
    /**
     * API defaults to `1` if no value is provided
     */
    page?: number;
    /**
     * API defaults to `"latest"` if no value is provided
     */
    orderBy?: OrderBy;
};
